package cn.com.infosec.mobile.android.managers;

import android.content.Context;
import android.support.annotation.Keep;
import android.support.annotation.NonNull;
import android.text.TextUtils;
import cn.com.infosec.mobile.android.IMSError;
import cn.com.infosec.mobile.android.IMSSdk;
import cn.com.infosec.mobile.android.IMSTokenAction;
import cn.com.infosec.mobile.android.net.NetworkInterface;
import cn.com.infosec.mobile.android.result.Result;
import cn.com.infosec.mobile.android.util.KeyStoreUtil;
import cn.com.infosec.mobile.android.xlog.XLog;
import java.util.Arrays;
import java.util.Map;
import java.util.Set;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.json.JSONObject;

@Keep
public class TokenManager {
   private IMSTokenAction imsTokenAction;
   private KeyStoreUtil keyStoreUtil;

   public TokenManager(Context context) {
      this.imsTokenAction = new IMSTokenAction(context);
      this.keyStoreUtil = KeyStoreUtil.getInstance(context);
   }

   public void requestSeed(@NonNull String userName, @NonNull String PIN, @NonNull Result.ResultListener resultListener) {
      Map var4;
      if ((var4 = this.imsTokenAction.seedBegin(userName, PIN)) == null) {
         resultListener.handleResult(this.imsTokenAction.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/otp/getOptKey");
         Map var10002 = var4;
         NetworkInterface.NetworkCallback var5;
         var5 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;
            // $FF: synthetic field
            final String val$userName;
            // $FF: synthetic field
            final String val$PIN;

            {
               this.val$resultListener = var2;
               this.val$userName = var3;
               this.val$PIN = var4;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               Result.ResultListener var10000 = this.val$resultListener;
               IMSTokenAction var10001 = TokenManager.this.imsTokenAction;
               <undefinedtype> var10002 = this;
               String var2 = this.val$userName;
               var10000.handleResult(var10001.seedFinal(var2, var10002.val$PIN, callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1030", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "申请种子失败:".concat(errorMsg));
               XLog.d("申请种子失败:".concat(errorMsg));
            }
         }.<init>(resultListener, userName, PIN);
         var10000.httpPost(var10001, var10002, var5);
      }
   }

   public Result requestSeed(@NonNull String param1, @NonNull String param2) {
      // $FF: Couldn't be decompiled
   }

   public void updateSeed(@NonNull String userName, @NonNull String PIN, @NonNull Result.ResultListener resultListener) {
      Result.ResultListener var4;
      var4 = new Result.ResultListener() {
         // $FF: synthetic field
         final String val$userName;
         // $FF: synthetic field
         final String val$PIN;
         // $FF: synthetic field
         final Result.ResultListener val$resultListener;

         {
            this.val$userName = var2;
            this.val$PIN = var3;
            this.val$resultListener = var4;
         }

         public void handleResult(Result result) {
            if (TextUtils.equals("000000", result.getResultID())) {
               IMSTokenAction var10000 = TokenManager.this.imsTokenAction;
               String result1 = this.val$userName;
               Map result2;
               if ((result2 = var10000.seedBegin(result1, this.val$PIN)) == null) {
                  this.val$resultListener.handleResult(TokenManager.this.imsTokenAction.getLatestResult());
                  return;
               }

               NetworkInterface var2 = IMSSdk.networkInterface;
               String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/otp/updateOptKey");
               Map var10002 = result2;
               NetworkInterface.NetworkCallback result3;
               result3 = new NetworkInterface.NetworkCallback<JSONObject>() {
                  public void onSucceed(@NonNull JSONObject callbackData) {
                     callbackData = super.decodeFilter(callbackData);
                     <undefinedtype> var2;
                     Result.ResultListener var10000 = (var2 = <VAR_NAMELESS_ENCLOSURE>).val$resultListener;
                     IMSTokenAction var10001 = TokenManager.this.imsTokenAction;
                     <undefinedtype> var10002 = <VAR_NAMELESS_ENCLOSURE>;
                     String var3 = var10002.val$userName;
                     var10000.handleResult(var10001.seedFinal(var3, var10002.val$PIN, callbackData));
                  }

                  public void onFailed(@NonNull String errorMsg) {
                     <undefinedtype> var10000 = this;
                     Result var2;
                     var2 = new Result.<init>("IE1030", errorMsg);
                     val$resultListener.handleResult(var2);
                     IMSSdk.mLogger.log(Level.SEVERE, "更新种子失败:".concat(errorMsg));
                     XLog.d("更新种子失败:".concat(errorMsg));
                  }
               }.<init>();
               var2.httpPost(var10001, var10002, result3);
            } else {
               this.val$resultListener.handleResult(result);
            }

         }
      }.<init>(userName, PIN, resultListener);
      this.verifyPIN(userName, PIN, var4);
   }

   public Result updateSeed(@NonNull String userName, @NonNull String PIN) {
      Exception var10000;
      label31: {
         Result var8;
         boolean var10001;
         try {
            var8 = this.verifyPIN(userName, PIN);
         } catch (Exception var6) {
            var10000 = var6;
            var10001 = false;
            break label31;
         }

         Result var3 = var8;
         String var9 = "000000";

         boolean var10;
         try {
            var10 = TextUtils.equals(var9, var3.getResultDesc());
         } catch (Exception var5) {
            var10000 = var5;
            var10001 = false;
            break label31;
         }

         if (!var10) {
            return var3;
         }

         try {
            return this.requestSeed(userName, PIN);
         } catch (Exception var4) {
            var10000 = var4;
            var10001 = false;
         }
      }

      Exception var7 = var10000;
      var7.printStackTrace();
      return new Result("IE1015", var7);
   }

   public void getStatusOnLine(@NonNull String userName, @NonNull Result.ResultListener resultListener) {
      Result var3;
      if (!IMSSdk.enablePhoneCopy && !(var3 = this.keyStoreUtil.initCheck(userName)).getResultID().equals("000000")) {
         resultListener.handleResult(var3);
      } else {
         Map userName1;
         if ((userName1 = this.imsTokenAction.statusOnLineBegin(userName)) == null) {
            resultListener.handleResult(this.imsTokenAction.getLatestResult());
         } else {
            NetworkInterface var10000 = IMSSdk.networkInterface;
            String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/user/getUserState");
            Map var10002 = userName1;
            NetworkInterface.NetworkCallback userName2;
            userName2 = new NetworkInterface.NetworkCallback<JSONObject>() {
               // $FF: synthetic field
               final Result.ResultListener val$resultListener;

               {
                  this.val$resultListener = var2;
               }

               public void onSucceed(@NonNull JSONObject callbackData) {
                  callbackData = super.decodeFilter(callbackData);
                  this.val$resultListener.handleResult(TokenManager.this.imsTokenAction.statusOnLineFinal(callbackData));
               }

               public void onFailed(@NonNull String errorMsg) {
                  <undefinedtype> var10000 = this;
                  Result var2;
                  var2 = new Result.<init>("IE1029", errorMsg);
                  var10000.val$resultListener.handleResult(var2);
                  IMSSdk.mLogger.log(Level.SEVERE, "获取状态失败:".concat(errorMsg));
                  XLog.d("获取状态失败:".concat(errorMsg));
               }
            }.<init>(resultListener);
            var10000.httpPost(var10001, var10002, userName2);
         }
      }
   }

   public Result getStatusOnLine(@NonNull String userName) {
      Result var2;
      if (!IMSSdk.enablePhoneCopy && !(var2 = this.keyStoreUtil.initCheck(userName)).getResultID().equals("000000")) {
         return var2;
      } else {
         Exception var10000;
         label46: {
            Map var11;
            boolean var10001;
            try {
               var11 = this.imsTokenAction.statusOnLineBegin(userName);
            } catch (Exception var7) {
               var10000 = var7;
               var10001 = false;
               break label46;
            }

            Map userName1 = var11;
            if (var11 == null) {
               try {
                  return this.imsTokenAction.getLatestResult();
               } catch (Exception var3) {
                  var10000 = var3;
                  var10001 = false;
               }
            } else {
               label51: {
                  TokenManager var12;
                  NetworkInterface var13;
                  try {
                     var12 = this;
                     var13 = IMSSdk.networkInterface;
                  } catch (Exception var6) {
                     var10000 = var6;
                     var10001 = false;
                     break label51;
                  }

                  String var10002 = "/";

                  JSONObject var14;
                  try {
                     var14 = var13.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/user/getUserState"), userName1);
                  } catch (Exception var5) {
                     var10000 = var5;
                     var10001 = false;
                     break label51;
                  }

                  JSONObject var8 = var14;

                  try {
                     return var12.imsTokenAction.statusOnLineFinal(var8);
                  } catch (Exception var4) {
                     var10000 = var4;
                     var10001 = false;
                  }
               }
            }
         }

         Exception var9 = var10000;
         var9.printStackTrace();
         return new Result("IE1015", var9);
      }
   }

   public void getOTPWithSeed(@NonNull String userName, @NonNull String seedID, @NonNull String PIN, @NonNull String algorithm, long time, String challenge, int digit, int step, Result.ResultListener resultListener) {
      Result.ResultListener var11;
      var11 = new Result.ResultListener() {
         // $FF: synthetic field
         final String val$userName;
         // $FF: synthetic field
         final String val$seedID;
         // $FF: synthetic field
         final String val$PIN;
         // $FF: synthetic field
         final String val$algorithm;
         // $FF: synthetic field
         final long val$time;
         // $FF: synthetic field
         final String val$challenge;
         // $FF: synthetic field
         final int val$digit;
         // $FF: synthetic field
         final int val$step;
         // $FF: synthetic field
         final Result.ResultListener val$resultListener;

         {
            this.val$userName = var2;
            this.val$seedID = var3;
            this.val$PIN = var4;
            this.val$algorithm = var5;
            this.val$time = var6;
            this.val$challenge = var8;
            this.val$digit = var9;
            this.val$step = var10;
            this.val$resultListener = var11;
         }

         public void handleResult(Result result) {
            if (TextUtils.equals("000000", result.getResultID())) {
               IMSTokenAction var10000 = TokenManager.this.imsTokenAction;
               String var2 = this.val$userName;
               String var3 = this.val$seedID;
               String var4 = this.val$PIN;
               String var5 = this.val$algorithm;
               long var6 = this.val$time;
               String var8 = this.val$challenge;
               int var9 = this.val$digit;
               int var10 = this.val$step;
               if (!TextUtils.isEmpty(var2 = var10000.getOTPWithID(var2, var3, var4, var5, var6, var8, var9, var10))) {
                  result.setResultDesc(var2);
                  this.val$resultListener.handleResult(result);
               } else {
                  this.val$resultListener.handleResult(new Result("IE1046"));
               }
            } else {
               this.val$resultListener.handleResult(result);
            }

         }
      }.<init>(userName, seedID, PIN, algorithm, time, challenge, digit, step, resultListener);
      this.verifyPINWithID(userName, seedID, PIN, var11);
   }

   public void verifyPINWithID(@NonNull String userName, @NonNull String seedID, @NonNull String PIN, @NonNull Result.ResultListener resultListener) {
      this.verifyPIN(userName, PIN, resultListener);
   }

   public void getOTP(@NonNull String userName, @NonNull String PIN, @NonNull String algorithm, long time, String challenge, int digit, int step, Result.ResultListener resultListener) {
      Result.ResultListener var10;
      var10 = new Result.ResultListener() {
         // $FF: synthetic field
         final String val$userName;
         // $FF: synthetic field
         final String val$PIN;
         // $FF: synthetic field
         final String val$algorithm;
         // $FF: synthetic field
         final long val$time;
         // $FF: synthetic field
         final String val$challenge;
         // $FF: synthetic field
         final int val$digit;
         // $FF: synthetic field
         final int val$step;
         // $FF: synthetic field
         final Result.ResultListener val$resultListener;

         {
            this.val$userName = var2;
            this.val$PIN = var3;
            this.val$algorithm = var4;
            this.val$time = var5;
            this.val$challenge = var7;
            this.val$digit = var8;
            this.val$step = var9;
            this.val$resultListener = var10;
         }

         public void handleResult(Result result) {
            if (TextUtils.equals("000000", result.getResultID())) {
               IMSTokenAction var10000 = TokenManager.this.imsTokenAction;
               String var2 = this.val$userName;
               String var3 = this.val$PIN;
               String var4 = this.val$algorithm;
               long var5 = this.val$time;
               String var7 = this.val$challenge;
               int var8 = this.val$digit;
               int var9 = this.val$step;
               if (!TextUtils.isEmpty(var2 = var10000.getOTP(var2, var3, var4, var5, var7, var8, var9))) {
                  result.setResultDesc(var2);
                  this.val$resultListener.handleResult(result);
               } else {
                  this.val$resultListener.handleResult(new Result("IE1046"));
               }
            } else {
               XLog.d("getOTP，密码错误");
               this.val$resultListener.handleResult(result);
            }

         }
      }.<init>(userName, PIN, algorithm, time, challenge, digit, step, resultListener);
      this.verifyPIN(userName, PIN, var10);
   }

   public Result getOTP(@NonNull String userName, @NonNull String PIN, @NonNull String algorithm, long time, String challenge, int digit, int step) {
      Result var9;
      if (TextUtils.equals("000000", (var9 = this.verifyPIN(userName, PIN)).getResultID())) {
         String var10;
         return !TextUtils.isEmpty(var10 = this.imsTokenAction.getOTP(userName, PIN, algorithm, time, challenge, digit, step)) ? new Result("000000", var10) : new Result("IE1046");
      } else {
         return var9;
      }
   }

   public void changePIN(@NonNull String userName, @NonNull String oldPIN, @NonNull String newPIN, Result.ResultListener resultListener) {
      Result.ResultListener var5;
      var5 = new Result.ResultListener() {
         // $FF: synthetic field
         final String val$newPIN;
         // $FF: synthetic field
         final Result.ResultListener val$resultListener;
         // $FF: synthetic field
         final String val$userName;
         // $FF: synthetic field
         final String val$oldPIN;

         {
            this.val$newPIN = var2;
            this.val$resultListener = var3;
            this.val$userName = var4;
            this.val$oldPIN = var5;
         }

         public void handleResult(Result result) {
            if (TextUtils.equals("000000", result.getResultID())) {
               if (this.val$newPIN.length() >= 256) {
                  XLog.d("修改PIN失败，新PIN过长" + Arrays.toString(new String[]{this.val$newPIN}));
                  this.val$resultListener.handleResult(new Result("IE1012"));
               } else {
                  IMSTokenAction var10000 = TokenManager.this.imsTokenAction;
                  String var2 = this.val$userName;
                  String var3 = this.val$oldPIN;
                  String var4 = this.val$newPIN;
                  if (var10000.changePIN(var2, var3, var4)) {
                     this.val$resultListener.handleResult(result);
                  } else {
                     Logger var10001 = IMSSdk.mLogger;
                     Level var10002 = Level.SEVERE;
                     String[] result1;
                     String[] var10003 = result1 = new String[4];
                     var10003[0] = this.val$userName;
                     var10003[1] = String.valueOf(IMSError.errCode);
                     var10003[2] = IMSError.errMessage;
                     var10003[3] = IMSError.errDetail;
                     var10001.log(var10002, "修改PIN失败:", result1);
                     XLog.d("修改PIN失败:" + Arrays.toString(new String[]{this.val$userName, String.valueOf(IMSError.errCode), IMSError.errMessage, IMSError.errDetail}));
                     this.val$resultListener.handleResult(new Result("IE1012"));
                  }
               }
            } else {
               XLog.d("changePIN，密码错误");
               this.val$resultListener.handleResult(result);
            }

         }
      }.<init>(newPIN, resultListener, userName, oldPIN);
      this.verifyPIN(userName, oldPIN, var5);
   }

   public Result changePIN(@NonNull String userName, @NonNull String oldPIN, @NonNull String newPIN) {
      Result var4;
      if (TextUtils.equals("000000", (var4 = this.verifyPIN(userName, oldPIN)).getResultID())) {
         if (newPIN.length() >= 256) {
            XLog.d("修改PIN失败，新PIN过长" + Arrays.toString(new String[]{newPIN}));
            return new Result("IE1012");
         } else if (this.imsTokenAction.changePIN(userName, oldPIN, newPIN)) {
            return new Result("000000");
         } else {
            Logger var10000 = IMSSdk.mLogger;
            Level var10001 = Level.SEVERE;
            String[] var5;
            String[] var10002 = var5 = new String[4];
            var10002[0] = userName;
            var10002[1] = String.valueOf(IMSError.errCode);
            var10002[2] = IMSError.errMessage;
            var10002[3] = IMSError.errDetail;
            var10000.log(var10001, "修改PIN失败:", var5);
            return new Result("IE1012");
         }
      } else {
         return var4;
      }
   }

   public boolean isSeedExist(@NonNull String userName) {
      return this.imsTokenAction.checkSeedExist(userName);
   }

   public boolean isSeedExistWithID(@NonNull String userName, String seedID) {
      return this.imsTokenAction.checkSeedExistWithID(userName, seedID);
   }

   public void verifyPIN(@NonNull String userName, @NonNull String PIN, @NonNull Result.ResultListener resultListener) {
      Logger var10001;
      Level var10002;
      String[] var10003;
      String[] var5;
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(PIN) && resultListener != null) {
         if (PIN.length() >= 256) {
            XLog.d("尝试验证PIN,但PIN过长" + Arrays.toString(new String[]{PIN}));
            resultListener.handleResult(new Result("IE1013"));
         } else {
            Result var4;
            if (!IMSSdk.enablePhoneCopy && !(var4 = this.keyStoreUtil.initCheck(userName)).getResultID().equals("000000")) {
               resultListener.handleResult(var4);
            } else {
               int var6 = this.imsTokenAction.verifyPIN(userName, PIN);
               if (10000 == var6) {
                  Result var7;
                  var7 = new Result.<init>("000000");
                  resultListener.handleResult(var7);
               } else if (var6 > 0) {
                  var10001 = IMSSdk.mLogger;
                  var10002 = Level.SEVERE;
                  String[] PIN1;
                  var10003 = PIN1 = new String[2];
                  PIN1[0] = userName;
                  var10003[1] = String.valueOf(var6);
                  var10001.log(var10002, "尝试验证PIN,但验证失败", PIN1);
                  XLog.d("尝试验证PIN,但验证失败" + Arrays.toString(new String[]{userName, String.valueOf(var6)}));
                  resultListener.handleResult(new Result("IE1010", String.valueOf(var6)));
               } else if (var6 == 0) {
                  if ((new UserManager(IMSSdk.mContext)).isLocked(userName)) {
                     IMSSdk.mLogger.log(Level.SEVERE, "PIN尝试次数达到上限,该用户已经被锁定:", userName);
                     XLog.d("PIN尝试次数达到上限,该用户已经被锁定:" + userName);
                     resultListener.handleResult(new Result("IE1045"));
                  } else {
                     resultListener.handleResult((new UserManager(IMSSdk.mContext)).lockUser(userName));
                  }
               } else {
                  var10001 = IMSSdk.mLogger;
                  var10002 = Level.SEVERE;
                  var10003 = var5 = new String[4];
                  var10003[0] = userName;
                  var10003[1] = String.valueOf(IMSError.errCode);
                  var10003[2] = IMSError.errMessage;
                  var10003[3] = IMSError.errDetail;
                  var10001.log(var10002, "验证PIN码时发生错误:", var5);
                  XLog.d("验证PIN码时发生错误:" + Arrays.toString(new String[]{userName, String.valueOf(IMSError.errCode), IMSError.errMessage, IMSError.errDetail}));
                  resultListener.handleResult(new Result("IE1044"));
               }

            }
         }
      } else {
         var10001 = IMSSdk.mLogger;
         var10002 = Level.SEVERE;
         var10003 = var5 = new String[2];
         var10003[0] = userName;
         var10003[1] = PIN;
         var10001.log(var10002, "参数为空", var5);
         XLog.d("参数为空" + Arrays.toString(new String[]{userName, PIN}));
         resultListener.handleResult(new Result("IE1013"));
      }
   }

   public Result verifyPIN(@NonNull String userName, @NonNull String PIN) {
      Logger var10000;
      Level var10001;
      String[] var10002;
      String[] var4;
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(PIN)) {
         if (PIN.length() >= 256) {
            XLog.d("尝试验证PIN,但PIN过长" + Arrays.toString(new String[]{PIN}));
            return new Result("IE1013");
         } else {
            Result var3;
            if (!IMSSdk.enablePhoneCopy && !(var3 = this.keyStoreUtil.initCheck(userName)).getResultID().equals("000000")) {
               return var3;
            } else {
               int var5 = this.imsTokenAction.verifyPIN(userName, PIN);
               if (10000 == var5) {
                  return new Result("000000");
               } else if (var5 > 0) {
                  var10000 = IMSSdk.mLogger;
                  var10001 = Level.SEVERE;
                  String[] PIN1;
                  var10002 = PIN1 = new String[2];
                  PIN1[0] = userName;
                  var10002[1] = String.valueOf(var5);
                  var10000.log(var10001, "尝试验证PIN,但验证失败", PIN1);
                  XLog.d("尝试验证PIN,但验证失败" + Arrays.toString(new String[]{userName, String.valueOf(var5)}));
                  return new Result("IE1010", String.valueOf(var5));
               } else if (var5 == 0) {
                  if ((new UserManager(IMSSdk.mContext)).isLocked(userName)) {
                     IMSSdk.mLogger.log(Level.SEVERE, "PIN尝试次数达到上限,该用户已经被锁定:", userName);
                     XLog.d("PIN尝试次数达到上限,该用户已经被锁定:" + userName);
                     return new Result("IE1045");
                  } else {
                     return (new UserManager(IMSSdk.mContext)).lockUser(userName);
                  }
               } else {
                  var10000 = IMSSdk.mLogger;
                  var10001 = Level.SEVERE;
                  var10002 = var4 = new String[4];
                  var10002[0] = userName;
                  var10002[1] = String.valueOf(IMSError.errCode);
                  var10002[2] = IMSError.errMessage;
                  var10002[3] = IMSError.errDetail;
                  var10000.log(var10001, "验证PIN码时发生错误:", var4);
                  XLog.d("验证PIN码时发生错误:" + Arrays.toString(new String[]{userName, String.valueOf(IMSError.errCode), IMSError.errMessage, IMSError.errDetail}));
                  return new Result("IE1044");
               }
            }
         }
      } else {
         var10000 = IMSSdk.mLogger;
         var10001 = Level.SEVERE;
         var10002 = var4 = new String[2];
         var10002[0] = userName;
         var10002[1] = PIN;
         var10000.log(var10001, "参数为空", var4);
         XLog.d("参数为空" + Arrays.toString(new String[]{userName, PIN}));
         return new Result("IE1013");
      }
   }

   public Set<String> getSeedIDs(@NonNull String userName) {
      return this.imsTokenAction.getSeedIDs(userName);
   }

   public boolean clearTokenData(@NonNull String userName) {
      return this.imsTokenAction.clearTokenData(userName);
   }
}
